# chariter.h File Reference

C++ API: Character Iterator. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/unistr.h"`

Go to the source code of this file.

## Data Structures
class | ForwardCharacterIterator
| Abstract class that defines an API for forward-only iteration on text objects. More...
class | CharacterIterator
| Abstract class that defines an API for iteration on text objects. More...

## Detailed Description

C++ API: Character Iterator.

Definition in file chariter.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines